clear all

Fs = 1000; % sampling frequency
f1 = 96;
f2 = 235;
t1 = (0:499)/Fs; % time samples for g1
t2 = (500:999)/Fs; % time samples for g2
t = [t1 t2]; % time samples for f
f = 0.5*sin(2*pi*f1*t)+0.5*sin(2*pi*f2*t);
g1 = [sin(2*pi*f1*t1) zeros(1,500)];
g2 = [zeros(1,500) sin(2*pi*f2*t2)];
g = g1+g2;

fftf = fft(f);
a = abs(fftf(1:501)); % a(1) ... DC, a(2)..a(501) frequencies 1..500 Hz
figure(1);
plot(0:500, a);
title('Spectrum of f(t)');

fftg = fft(g);
a = abs(fftg(1:501)); % a(1) ... DC, a(2)..a(501) frequencies 1..500 Hz
figure(2);
plot(0:500, a);
title('Spectrum of g(t)');

figure(3);
plot(g);

